601,100
562,"NULL"
586,
585,
564,
565,"cO3a4IN0PAba54:<5`SF:@`dcvxtNAF;qJIPIw1YqWIe2ENtJ@nsmWS8pLkdPBH]KugXWgIp3elM=l^p8uAXa@J\FXcVA::8viOXWc0ye3yizP?lLLFJ^NC9h6ZLD1Rl[CV4IIzzMabQIUmfbYDK7b2IZgxUW0k=G_2<0RlI4bMaiEzhimM;p=70I>uBv22KRwQC]6]J"
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,
568,""""
570,
571,
569,0
592,0
599,1000
560,2
pClient
pDumpFile
561,2
2
2
590,2
pClient,""
pDumpFile,""
637,2
pClient,Client
pDumpFile,Dump File
577,0
578,0
579,0
580,0
581,0
582,0
572,26

#****Begin: Generated Statements***
#****End: Generated Statements****


if (pClient @<> '');
SetOutputCharacterSet(pDumpFile, 'TM1CS_UTF8' );
TEXTOUTPUT(pDumpFile,  'user:' | DIMNM('}clients', DIMIX('}clients', pClient)));
endif;
vGroupCount = DIMSIZ('}Groups');
vGroupIndex = 1;
while (vGroupIndex <= vGroupCount );
vGroup = DIMNM('}Groups', vGroupIndex);

if (pClient @= '');
SetOutputCharacterSet(pDumpFile, 'TM1CS_UTF8' );
TEXTOUTPUT(pDumpFile, vGroup);
else;
vMember = CELLGETS('}ClientGroups', pClient, vGroup);
if (vMember @= vGroup);
SetOutputCharacterSet(pDumpFile, 'TM1CS_UTF8' );
TEXTOUTPUT(pDumpFile, vGroup);
endif;
endif;
vGroupIndex = vGroupIndex + 1;
end;
573,3

#****Begin: Generated Statements***
#****End: Generated Statements****
574,3

#****Begin: Generated Statements***
#****End: Generated Statements****
575,3

#****Begin: Generated Statements***
#****End: Generated Statements****
576,CubeAction=1511	DataAction=1503	CubeLogChanges=0	
638,1
804,0
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
910,0
911,
912,
913,
914,
915,
916,
